#
# spec file for package perl-Crypt-DES (Version 2.05)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Crypt-DES
Version:        2.05
Release:        134
Requires:       perl = %{perl_version}
AutoReqProv:    on
Group:          Development/Libraries/Perl
License:        Artistic
Url:            http://www.cpan.org/modules/by-module/Crypt/
Summary:        Crypt::DES Perl Module
Source:         Crypt-DES-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
An XS-based DES implementation for Perl.



Authors:
--------
    Eric Young (eay@mincom.oz.au)

%prep
%setup -n Crypt-DES-%{version} -q

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make %{?_smp_mflags}
make test

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYRIGHT README
%doc %{_mandir}/man?/*
%{perl_vendorarch}/Crypt
%{perl_vendorarch}/auto/Crypt
/var/adm/perl-modules/%{name}

%changelog
